# Function UseAutocompleteOptionsMethod

- UseAutocompleteOptionsMethod(
  method: ProviderToken<
  MethodWithParameters<
  ControlOptions,
  AutocompleteOptionsFromMethodDirectiveParameters<any>,
  >,
  >,
  ): any

  #### Parameters

  - method: ProviderToken<
    MethodWithParameters<
    ControlOptions,
    AutocompleteOptionsFromMethodDirectiveParameters<any>,
    >,
    >

  #### Returns any

  - Defined in packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:43
- UseAutocompleteOptionsMethod(
  method: ProviderToken<
  MethodWithParameters<
  ControlOptions,
  OpenApiRemoteMethodParameter<
  AutocompleteOptionsFromMethodDirectiveParameters<any>,
  any,
  >,
  >,
  >,
  ): any

  #### Parameters

  - method: ProviderToken<
    MethodWithParameters<
    ControlOptions,
    OpenApiRemoteMethodParameter<
    AutocompleteOptionsFromMethodDirectiveParameters<any>,
    any,
    >,
    >,
    >

  #### Returns any

  - Defined in packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:46
- UseAutocompleteOptionsMethod(
  method: ProviderToken<MethodWithParameters<any, any>>,
  config: UseMethodConfig<
  ControlOptions,
  AutocompleteOptionsFromMethodDirectiveParameters<any>,
  >,
  ): any

  #### Parameters

  - method: ProviderToken<MethodWithParameters<any, any>>
  - config: UseMethodConfig<
    ControlOptions,
    AutocompleteOptionsFromMethodDirectiveParameters<any>,
    >

  #### Returns any

  - Defined in packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:49